---
updatedAt: 2026-05-06T14:42:15.000Z
agentTools:
  projectIndex: https://docs.crezco.com/llms.txt
---

# Get Bank Capabilities by ID

Returns the capabilities for a specific bank identified by bankId.

The different `supportType` values relate to the type of batch payment support:

* `native` - Direct bank support
* `transit` - Crezco-managed batching
* `chained` - Individual payments only

Possible recommended configuration steps:

* `setUpBeneficiariesAsTrusted` - Every new beneficiary needs to be set as trusted in the customer's banking app

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Payables API",
    "description": "Crezco Partner API",
    "termsOfService": "https://www.crezco.com/terms",
    "contact": {
      "name": "Crezco Support",
      "url": "https://crezco.atlassian.net/servicedesk/customer/portals"
    },
    "version": "2025-01-31"
  },
  "servers": [
    {
      "url": "https://api.partners.uat.crezco.com",
      "description": "UAT server for acceptance testing. Live and sandbox banks."
    },
    {
      "url": "https://api.partners.crezco.com",
      "description": "Live server when your application is in Production. Live banks only."
    }
  ],
  "paths": {
    "/banks/{bankId}": {
      "get": {
        "tags": [
          "Banks",
          "Banks"
        ],
        "summary": "Get Bank Capabilities by ID",
        "description": "Returns the capabilities for a specific bank identified by bankId.",
        "parameters": [
          {
            "name": "bankId",
            "in": "path",
            "description": "Unique identifier for the bank",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Crezco-Version",
            "in": "header",
            "description": "The requested API version",
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "2025-01-31"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetBankByIdResponseVersion4"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "You do not have access. Check your API key is correct.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "You do not have access to this organisation.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found"
          },
          "406": {
            "description": "The version of the API that you requested is not available. Check your Crezco-Version header.\nIf you omit this header you will use the latest version of the API.            ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "429": {
            "description": "You have made too many requests to the API in too short a period. Wait a while and try again.      ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "BankCapabilitiesResourceRepresentationVersion4": {
        "required": [
          "bankId",
          "capabilities"
        ],
        "type": "object",
        "properties": {
          "bankId": {
            "minLength": 1,
            "type": "string",
            "description": "Unique identifier for the bank"
          },
          "capabilities": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/BankCapabilityWithCurrencyResourceRepresentationVersion4"
            },
            "description": "Payment capabilities supported by this bank, organized by currency"
          }
        },
        "additionalProperties": false,
        "description": "Represents a bank and its payment capabilities"
      },
      "BankCapabilityWithCurrencyResourceRepresentationVersion4": {
        "required": [
          "currencyCode",
          "multiPayablePayRuns",
          "recommendedConfigurationSteps"
        ],
        "type": "object",
        "properties": {
          "currencyCode": {
            "minLength": 1,
            "type": "string",
            "description": "ISO currency code (e.g., \"GBP\", \"EUR\", \"USD\")"
          },
          "multiPayablePayRuns": {
            "$ref": "#/components/schemas/MultiPayablePayRunsResourceRepresentationVersion4"
          },
          "recommendedConfigurationSteps": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Configuration steps recommended for optimal payment processing with this bank and currency",
            "example": [
              "setUpBeneficiariesAsTrusted"
            ]
          }
        },
        "additionalProperties": false,
        "description": "Payment capabilities for a specific currency supported by a bank"
      },
      "GetBankByIdResponseVersion4": {
        "required": [
          "banks"
        ],
        "type": "object",
        "properties": {
          "banks": {
            "$ref": "#/components/schemas/BankCapabilitiesResourceRepresentationVersion4"
          }
        },
        "additionalProperties": false,
        "description": "Response containing bank capabilities information for a specific bank"
      },
      "HttpValidationProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": {}
      },
      "MultiPayablePayRunsResourceRepresentationVersion4": {
        "required": [
          "supportType"
        ],
        "type": "object",
        "properties": {
          "supportType": {
            "minLength": 1,
            "type": "string",
            "description": "Type of batch payment support. Values: \"native\" (direct bank support), \"transit\" (Crezco-managed batching), \"chained\" (individual payments only)"
          },
          "minPayablesPerAuthorisation": {
            "type": "integer",
            "description": "Minimum number of payables required per authorization batch. Null if no minimum constraint exists",
            "format": "int32",
            "nullable": true
          },
          "maxPayablesPerAuthorisation": {
            "type": "integer",
            "description": "Maximum number of payables allowed per authorization batch. Null if no maximum constraint exists",
            "format": "int32",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Multi-payable pay run capabilities indicati ng how batch payments are supported"
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "Your API key for accessing the service. \n * Live keys start with `CZ01`\n * UAT keys start `CZSB01` \n\nYou should include the key in the `Authorization` header as a Bearer token like: \n\n`Authorization: Bearer CZSB01YOURKEY`\n\nYou can learn how to get your API key from the \n[Onboarding](https://crezco.readme.io/reference/managing-your-account#onboarding)\ndocumentation.",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```